Name:               kde4-windeco-nitrogen
Summary:            Nitrogen KDE4 Window Decoration Theme Engine
Version:            3.3.3
Release:            %mkrel 5
License:            GPLv3
Group:              Graphical desktop/KDE4
Source0:            kde4-windeco-nitrogen-%{version}-Source.tar.xz
BuildRoot:          %{_tmppath}/%{name}-%{version}-build
URL:                http://www.kde-look.org/content/show.php/Nitrogen?content=99551
Requires:	    kde-workspace-core
BuildRequires:	    kde-workspace-devel
Requires:	    glibc >= 2.10.1
Requires:	    libstdc++6 >= 4.4.1
Obsoletes:	    %name < %version

%description
The Nitrogen window decoration is a fork of
the oxygen/ozone decoration

%prep
%setup -q -n kde4-windeco-nitrogen-3.3.3-Source

%build
export CFLAGS="$RPM_OPT_FLAGS -ffast-math"

%cmake_kde4 
%make

%install
rm -rf %buildroot
%{makeinstall_std} -C build


%post
/sbin/ldconfig

%postun
/sbin/ldconfig


%clean
  rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%_libdir/kde4/kwin3_nitrogen.so
%_libdir/kde4/kwin_nitrogen_config.so
%_datadir/apps/kwin/nitrogenclient.desktop
%_datadir/locale/*/LC_MESSAGES/kwin_nitrogen.mo

%changelog
* Mon Jun 25 2012 Neal <nealbrks0 at gmail dot com> 3.3.3-5pclos2012
- process

* Mon Jun 25 2012 Archie Arevalo <pclinuxos.ph at gmail.com> 3.3.3-5_archie_2012
- rebuild

* Mon Feb 21 2011 texstar <texstar.com>
- rebuild against kde 4.6.0

* Sat Sep 18 2010 Texstar <texstar at gmail.com> 3.3.3-3pclos2010
- fix dependency

* Sun Aug 29 2010 Texstar <texstar at gmail.com> 3.3.3-2pclos2010
- rebuild for 4.5.1

* Tue Jul 27 2010 Ertain <sirius-C at iname.com> 3.3.3-1pclos2010
- 3.3.3

* Thu Jan 28 2010 Texstar <texstar at gmail.com> 3.3.1-2pclos2010
- rebuild

* Sat Dec 05 2009 Texstar <texstar at gmail.com> 3.3.1-1pclos2010
- 3.3.1

* Sat Oct 03 2009 Texstar <texstar at gmail.com> 2.3.7-2pclos2010
- rebuild

* Wed Aug 26 2009 Texstar <texstar at gmail.com> 2.3.7-1pclos2009
- create

